<template>
  <header class= "navbar rbg-white-90 fixed top-0 w-100 ph3 pv3 pv4-ns ph4-m ph5-l bb b--black-20">
    <nav class="flex items-center f6 fw6 ttu tracked">

      <div class="navbar__content flex items-center">
        <a class="link dim dib mr3" href="#" title="Logo">
          <img src="http://via.placeholder.com/150x150">
        </a>
        <a class="link dim dib mr3" href="#" title="Home">Home</a>
        <a class="link dim dib mr3" href="#" title="About">About</a>
        <a class="link dim dib mr3" href="#" title="Store">Store</a>
        <a class="link dim dib" href="#" title="Contact">Contact</a>
      </div>

      <div class="navbar__user">
        <a class="link dim dib" href="#" title="Logo">
          <img src="https://image.flaticon.com/icons/png/128/236/236831.png">
        </a>
      </div>
    </nav>
  </header>
</template>

<script>
export default {
  computed: {
    offset() {
      const rem = parseFloat(
        window.getComputedStyle(document.documentElement)["font-size"]
      )
      return -1 * 5 * rem // Current size of $navbar-height
    }
  },
  methods: {
    target(el) {
      return {
        el: el,
        offset: this.offset
      }
    }
  }
}
</script>

<style lang="scss">
$navbar-height: 5rem;

.navbar {
  box-shadow: 0 3px 5px rgba(57, 63, 72, 0.3);
  min-height: $navbar-height;

  &__content {
    img {
      height: calc(#{$navbar-height} - 1.5rem);
    }
  }

  &__user {
    margin-left: auto;
    img {
      height: calc(#{$navbar-height} - 1.5rem);
    }
  }
}
</style>
